h1, h2, h3, h4, h5 {
    color: var(--avs-color-02);
}
section#article-feed {
    * {border-width: 0;}
    .card-preview {
        box-shadow: rgba(0, 0, 0, 0.15) 2.4px 2.4px 3.2px;
        transition: 0.3s ease-in-out all;
        cursor: pointer;
        * {}
        .card-header {
            * {}
            .card-image {
                aspect-ratio: 4/3;
            }
            span {
                position: absolute;
                z-index: 1;
                top: 0;
                left: 0;
                padding: 4px 8px;
                border-radius: 0;
                color: #fff !important;
                font-size: 10px;
                * {}
                &.a {
                    background-color: var(--avs-color-01) !important;
                }
                &.c {
                    background-color: var(--avs-color-02) !important;
                }
            }
        }
        .card-text {
            * {}
            h6 {
                text-overflow: ellipsis;
                -webkit-box-orient: vertical;
                display: -webkit-box;
                overflow: hidden;
                -webkit-line-clamp: 2;
                padding-top: 4px;
                height: 38px;
                width: 100%;
                text-align: left;
                text-indent: 16px;
                color: var(--avs-color-02);
            }
            p {
                font-size: 14px;
                text-overflow: ellipsis;
                -webkit-box-orient: vertical;
                display: -webkit-box;
                overflow: hidden;
                -webkit-line-clamp: 3;
                padding-top: 4px;
                height: 66px;
                width: 100%;
                text-align: left;
                text-indent: 16px;
            }
        }
        .card-button {
            text-align: end;
            * {}
            button {
                font-size: 14px;
            }
        }
        &:hover {
            box-shadow: #088b2930 2.4px 2.4px 3.2px;
            * {}
            .card-image {
                transform: scale(1.1);
            }
            button {
                letter-spacing: 1px;
            }
        }
    }
}
section#article-detail {
    background-color: white;
    * {}
    .article-image {
        background-position: center !important;
        background-size: cover !important;
        background-repeat: no-repeat !important;
        aspect-ratio: 1/1;
        border: 2px solid var(--avs-color-03);
    }
    .this-article-image {
        position: relative;
        transition: 0.4s ease-in-out all;
        cursor: pointer;
        border-width: 4px;
        z-index: 1;
        box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
    }
    .this-article-image:hover {
        border-width: 3px;
        rotate: 10deg;
        border-color: #7dc788;
        scale: 1.05;
    }
    >div:has(.this-article-image:hover) .this-article-image:not(:hover) {
        border-width: 2px;
        scale: 0.8;
        border-color: var(--avs-color-02);
    }
    .this-article-image::before {
        position: absolute;
        color: #fff;
        top: 0;
        left: 0;
        z-index: -1;
        border-radius: inherit;
        background: linear-gradient(to right, var(--avs-color-02), orange);
        transition: 0.4s ease-in all;
        height: 100%;
        width: 100%;
    }
    .this-article-image:hover::before {
        height: 100%;
        width: 100%;
        background-color: #0d833438;
        rotate: 270deg;
    }
    #div-article-detail {
        background-color: #f5f5f5;
        * {}
        .table-article-info {
            font-size: 12px !important;
            * {}
            thead {
                background-color: var(--avs-color-01);
                color: white;
                border-radius: 8px 0 0 8px;
                * {
                    background-color: var(--avs-color-01);
                    color: white;
                    border-radius: 8px 8px 0 0;
                }
                tr {
                    border-radius: 8px 8px 0 0;
                    text-align: center;
                    * {}
                    th {
                        border-bottom: 4px solid gray;
                    }
                }
            }
            tbody {
                background-color: whitesmoke;
                *::not(button) {
                    background-color: whitesmoke;
                    color: #333;
                }
                tr {
                    border: 2px solid whitesmoke;
                    border-top: 0px solid whitesmoke;
                    * {}
                    td {
                        padding: 4px 4px;
                    }
                    td:first-child {
                        text-align: center;
                    }
                    td:last-child {
                        text-align: start;
                    }
                }
            }
        }
        img {
            max-width: 100%;
            height: auto !important;
            object-fit: contain;
        }
    }
    .table-viewed {
        font-size: 14px !important;
        *:not(a) {color: #444;}
        tbody {
            background-color: white;
            *::not(button) {
                background-color: white;
                color: #444;
            }
            tr {
                cursor: pointer;
                border-color: whitesmoke;
                transition: all ease-in 0.15s;
                * {}
                td {
                    transition: all ease-in 0.15s;
                    * {}
                    span {
                        text-align: start !important;
                    }
                    a {
                        text-decoration: none;
                        transition: all ease-in-out 0.3s;
                    }
                }
                td:first-child {
                    font-weight: 700;
                    text-align: start;
                }
                td:last-child {
                    text-align: start;
                }
            }
            tr:hover {
                background-color: whitesmoke !important;
                *:not(a) {color: var(--avs-color-02) !important;}
                td {
                    background-color: whitesmoke !important;
                    * {}
                    a {
                        letter-spacing: 1px;
                    }
                }
            }
        }
    }
    .table-categories {
        * {}
        tr {
            cursor: pointer;
            transition: all ease-in 0.15s;
            * {}
            td {
                transition: all ease-in 0.15s;
                background-color: transparent !important;
            }
        }
        tr:hover {
            background-color: #f5f5f580 !important;
            * {color: var(--avs-color-02) !important;}
            td {
                background-color: #f5f5f580 !important;
            }
            td:first-child {
                letter-spacing: 1px;
            }
        }
    }
    .title-line {
        position: relative;
        * {}
        span {
            position: relative;
            border-radius: 4px;
            z-index: 1;
        }
        i {
            font-size: 24px;
        }
    }
    .title-line::after {
        position: absolute;
        content: '';
        top: calc(50% - 1px);
        width: 100%;
        height: 2px;
        background-color: var(--avs-color-03);
        filter: opacity(0.3);
        z-index: 0;
        left: 0;
    }
    .title-line span::before {
        position: absolute;
        content: '';
        top: calc(50% - 0px);
        width: calc(100% - 16px);
        height: 3px;
        background-color: white;
        z-index: -1;
        left: 10px;
    }
    #div-article-info {
        * {}
    }
}
.ac-type {
    * {}
    & > input:checked + label {
        color: #fff !important;
        background-color: var(--avs-color-01) !important;
    }
    & > label {
        margin: 0px 3px !important;
        width: fit-content !important;
        font-size: 12px;
        background-color: #fff;
        border-radius: 12px !important;
        box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
        transition: all ease-in-out 0.1s;
        * {}
        &:hover {
            color: var(--avs-color-01) !important;
            background-color: #fff2f6 !important;
        }
    }
}
.page-item > * {
    line-height: 16px;
    height: fit-content;
    * {}
}
.page-item.disabled > span {
    padding: 4px !important;
}
@media only screen and (max-width: 767px) {
    #div-article-info {
        flex-direction: column-reverse;
    }
    .page-item > * {
        line-height: 12px !important;
        font-size: 12px;
        padding: 4px 8px;
    }
}
